summaryrefslogtreecommitdiffstats
path: root/libraries/libAfterImage
diff options
context:
space:
mode:
author Larry Hajali2010-05-12 17:40:59 +0200
committer David Somero2010-05-12 17:40:59 +0200
commit5aa2da3e0fd6cb934a5e54c6d4ea60db65f1868f (patch)
tree7fad6b5f01747479d052d6e90a34f9a9f91bc144 /libraries/libAfterImage
parentf000b5f91caa2dd79cd73a1108610754dea78344 (diff)
downloadslackbuilds-5aa2da3e0fd6cb934a5e54c6d4ea60db65f1868f.tar.gz
libraries/libAfterImage: Updated for version 1.18
Diffstat (limited to 'libraries/libAfterImage')
-rw-r--r--libraries/libAfterImage/README16
-rw-r--r--libraries/libAfterImage/libAfterImage.SlackBuild39
-rw-r--r--libraries/libAfterImage/libAfterImage.info8
-rw-r--r--libraries/libAfterImage/slack-desc22
4 files changed, 55 insertions, 30 deletions
diff --git a/libraries/libAfterImage/README b/libraries/libAfterImage/README
index e3b39c5352..dcf6726a0a 100644
--- a/libraries/libAfterImage/README
+++ b/libraries/libAfterImage/README
@@ -1,7 +1,9 @@
-libAfterImage Imaging Library
-
-This project is an image manipulation library that supports loading, saving,
-displaying and yes, manipulating images. Most popular formats are supported.
-Font capabilities include include TrueType and antialiasing support.
-
-Documentation, examples and tools are included.
+libAfterImage is a generic image manipulation library. Most
+of the popular image formats are supported using standard
+libraries, with XCF, XPM, PPM/PNM, BMP, ICO, TGA and GIF
+being supported internally. PNG, JPEG and TIFF formats are
+supported via standard libraries. For convenience, source
+for libJPEG and libPNG is supplied with libAfterImage.
+Powerfull text rendering capabilities included, providing
+support for TrueType fonts using FreeType library, and
+antialiasing of standard fonts from X window system.
diff --git a/libraries/libAfterImage/libAfterImage.SlackBuild b/libraries/libAfterImage/libAfterImage.SlackBuild
index f9d5379408..7d5fd0da50 100644
--- a/libraries/libAfterImage/libAfterImage.SlackBuild
+++ b/libraries/libAfterImage/libAfterImage.SlackBuild
@@ -2,22 +2,28 @@
# Slackware build script for libAfterImage
-# Written by Dugan Chen (dugan_c@fastmail.fm)
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+# Modified by SlackBuilds.org
PRGNAM=libAfterImage
-VERSION=1.18
+VERSION=${VERSION:-1.18}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+DOCS="ChangeLog README"
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -29,7 +35,11 @@ rm -rf $PRGNAM-$VERSION
tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -38,14 +48,26 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --enable-i18n \
+ --enable-sharedlibs \
+ --enable-shmimage \
+ --enable-shaping \
--enable-glx \
- --enable-sharedlibs
+ --enable-mmx-optimization \
+ --with-jpeg \
+ --with-png \
+ --with-tiff \
+ --with-svg \
+ --with-xpm \
+ --with-builtin-gif \
+ --with-ttf \
+ --with-x \
+ --build=$ARCH-slackware-linux
+
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
@@ -55,10 +77,11 @@ make install DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a README ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
mv $PKG/usr/share/$PRGNAM/doc/html/ $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
rm -rf $PKG/usr/share
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/libraries/libAfterImage/libAfterImage.info b/libraries/libAfterImage/libAfterImage.info
index 46fdb3d556..eeed3bcde5 100644
--- a/libraries/libAfterImage/libAfterImage.info
+++ b/libraries/libAfterImage/libAfterImage.info
@@ -1,8 +1,8 @@
PRGNAM="libAfterImage"
VERSION="1.18"
-HOMEPAGE="http://www.afterstep.org/afterimage/index.php"
+HOMEPAGE="http://www.afterstep.org/afterimage/"
DOWNLOAD="ftp://ftp.afterstep.org/stable/libAfterImage/libAfterImage-1.18.tar.bz2"
MD5SUM="56a455b7710e2f3e2f9748777e87b8cd"
-MAINTAINER="Dugan Chen"
-EMAIL="dugan (underscore) c (at) fastmail (dot) fm"
-APPROVED="Erik Hanson"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="dsomero"
diff --git a/libraries/libAfterImage/slack-desc b/libraries/libAfterImage/slack-desc
index 4564e0b7e1..7f4de8adc2 100644
--- a/libraries/libAfterImage/slack-desc
+++ b/libraries/libAfterImage/slack-desc
@@ -5,15 +5,15 @@
# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
- |-----handy-ruler----------------------------------------------|
-libAfterImage: libAfterImage (Imaging Library)
-libAfterImage:
-libAfterImage: This project is an image manipulation library that supports
-libAfterImage: loading, saving, displaying and yes, manipulating images.
-libAfterImage: Most popular formats are supported. Font capabilities include
-libAfterImage: TrueType and antialiasing support.
+ |-----handy-ruler------------------------------------------------------|
+libAfterImage: libafterimage (Generic image manipulation library)
+libAfterImage:
+libAfterImage: libAfterImage is a generic image manipulation library. Most of the
+libAfterImage: popular image formats are supported using standard libraries, with
+libAfterImage: XCF, XPM, PPM/PNM, BMP, ICO, TGA and GIF being supported internally.
+libAfterImage: PNG, JPEG and TIFF formats are supported via standard libraries. For
+libAfterImage: convenience, source for libJPEG and libPNG is supplied with
+libAfterImage: libAfterImage.
+libAfterImage:
+libAfterImage: Homepage:http://www.afterstep.org/afterimage/
libAfterImage:
-libAfterImage: Visit the libAfterImage project online:
-libAfterImage: http://software.schmorp.de/pkg/libAfterImage/
-libAfterImage:
-libAfterImage: